SolrRequestParsers (Solr 3.6.2 API)
Keywords: org.apache.solr.servlet.SolrRequestParsers class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.servlet
Class SolrRequestParsers

    java.lang.Object
      org.apache.solr.servlet.SolrRequestParsers

    public class SolrRequestParsers

extends Object

Field Summary
`static String` | `MULTIPART`
`static String` | `RAW`
`static String` | `SIMPLE`
`static String` | `STANDARD`

Constructor Summary
`SolrRequestParsers(Config globalConfig)` Pass in an xml configuration.

Method Summary
`SolrQueryRequest` | `buildRequestFrom(SolrCore core, SolrParams params, Collection<ContentStream> streams)`
`boolean` | `isHandleSelect()`
`SolrQueryRequest` | `parse(SolrCore core, String path, javax.servlet.http.HttpServletRequest req)`
`static MultiMapSolrParams` | `parseQueryString(String queryString)` Given a standard query string map it into solr params
`void` | `setHandleSelect(boolean handleSelect)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTIPART

    public static final String MULTIPART

See Also:
  Constant Field Values

### RAW

    public static final String RAW

See Also:
  Constant Field Values

### SIMPLE

    public static final String SIMPLE

See Also:
  Constant Field Values

### STANDARD

    public static final String STANDARD

See Also:
  Constant Field Values

Constructor Detail

### SolrRequestParsers

    public SolrRequestParsers(Config globalConfig)

  Pass in an xml configuration. A null configuration will enable everythign with maximum values.

Method Detail

### parse

    public SolrQueryRequest parse(SolrCore core,
                                  String path,
                                  javax.servlet.http.HttpServletRequest req)
                           throws Exception

  Throws:
    `Exception`

### buildRequestFrom

    public SolrQueryRequest buildRequestFrom(SolrCore core,
                                             SolrParams params,
                                             Collection<ContentStream> streams)
                                      throws Exception

  Throws:
    `Exception`

### parseQueryString

    public static MultiMapSolrParams parseQueryString(String queryString)

  Given a standard query string map it into solr params

### isHandleSelect

    public boolean isHandleSelect()

### setHandleSelect

    public void setHandleSelect(boolean handleSelect)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD